com.lowagie.text.pdf

## Class PdfPKCS7.X509NameTokenizer

- java.lang.Object
- - com.lowagie.text.pdf.PdfPKCS7.X509NameTokenizer

Enclosing class:
  PdfPKCS7

    public static class PdfPKCS7.X509NameTokenizer
    extends java.lang.Object

class for breaking up an X500 Name into it's component tokens, ala java.util.StringTokenizer. We need this class as some of the lightweight Java environment don't support classes like StringTokenizer.

### Field Summary

Fields
`private java.lang.StringBuffer` `buf`
`private int` `index`
`private java.lang.String` `oid`

### Constructor Summary

Constructors
Constructor and Description
`PdfPKCS7.X509NameTokenizer(java.lang.String oid)`

### Method Summary

Methods
`boolean` `hasMoreTokens()`
`java.lang.String` `nextToken()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### oid

    private java.lang.String oid

#### index

    private int index

#### buf

    private java.lang.StringBuffer buf

### Constructor Detail

#### PdfPKCS7.X509NameTokenizer

    public PdfPKCS7.X509NameTokenizer(java.lang.String oid)

### Method Detail

#### hasMoreTokens

    public boolean hasMoreTokens()

#### nextToken

    public java.lang.String nextToken()